aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2019-04-23 22:38:34 +0200
committerToni Uhlig <matzeton@googlemail.com>2019-04-23 22:38:34 +0200
commit37ff9000cd22c49b9c1d8cb9f3abfdb947e30bb6 (patch)
tree53292e0180bb79edab3d017b3f60f8c3df14e184
parent08e54f9ca17c0528de7ff136b45d9876b6416a00 (diff)
build-gcc.sh: added dep check
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
-rwxr-xr-xbuild-gcc.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/build-gcc.sh b/build-gcc.sh
index 8369448..becfa93 100755
--- a/build-gcc.sh
+++ b/build-gcc.sh
@@ -11,6 +11,13 @@ set -x
#GCC_VERSION="4.4.2"
#BINUTILS_VERSION="2.25"
+if [ ! -x /usr/bin/wget -o ! -x /usr/bin/whiptail ]; then
+ echo "${0}: missing wget/whiptail"
+ echo "${0}: On Debian: \`sudo apt install wget whiptail\`"
+ echo "${0}: On ArchLinux: \`sudo pacman -S wget libnewt\`"
+ exit 1
+fi
+
BIN_DLSITE="https://ftp.gnu.org/gnu/binutils"
GCC_DLSITE="https://mirrors-usa.go-parts.com/gcc/releases"
CPUCORES=$(cat /proc/cpuinfo | grep -E '^processor' | wc -l)